import { BaseService, Service } from '@/cool';

@Service('chat')
export class ChatService extends BaseService {
	recentlyMessage(params) {
		return this.request({
			url: '/recently-message',
			params
		});
	}

	send(data) {
		return this.request({
			url: '/send',
			method: 'POST',
			data
		});
	}

	recentlyUser(params) {
		return this.request({
			url: '/recently-user',
			params
		});
	}

	begin(params) {
		return this.request({
			url: '/begin',
			params
		});
	}
}

export default new ChatService();
